return {
  'nvim-treesitter/nvim-treesitter',
  version = false,
  build = ':TSUpdate',
  config = function()
    require('nvim-treesitter.install').compilers = { 'clang' }
    require('nvim-treesitter.configs').setup({
      ensure_installed = '',
      modules = {},
      sync_install = true,
      auto_install = true,
      ignore_install = {},
      highlight = {
        enable = true,
        additional_vim_regex_highlighting = { 'markdown' },
      },
      rainbow = {
        enable = true,
        extended_mode = true, -- Also highlight non-bracket delimiters like html tags, boolean or table: lang -> boolean
        max_file_lines = nil, -- Do not enable for files with more than n lines, int
        -- colors = {}, -- table of hex strings
        -- termcolors = {} -- table of colour name strings
      },
      indent = {
        enable = false, -- maybe buggy
      },
    })
    vim.treesitter.language.register('groovy', 'java')
    require('nvim-treesitter.install').prefer_git = false
  end,
}
